Passa al contenuto principale

ServerNetworkInterface

Network interface (VIF) of a virtual machine, on a public or a local network

network_interface_idintegerrequired
server_idintegerrequired

Id of the server of the interface (GET /api/v3/servers/{server_id})

network_idinteger | nullnullablerequired

Id of the network of the interface: for a local network, the network_id accepted by POST /api/v3/servers/{server_id}/network-interfaces

ip_address_idinteger | nullnullablerequired

Id of the IP address of the interface (GET /api/v3/servers/{server_id}/ip-addresses/{ip_address_id}); always null on a local network

vif_uuidstring | nullnullablerequired

UUID of the interface on the hypervisor

device_namestring | nullnullablerequired

Device of the interface: usually its number (0 for eth0), otherwise a name such as ens3

mac_addressstring | nullnullablerequired

MAC address of the interface

is_defaultboolean | nullnullablerequired

Whether it is the default interface of the server, which cannot be deleted

is_activeboolean | nullnullablerequired

Whether the interface is active: the endpoints return only active interfaces

network_typestring | nullnullablerequired

Type of the network: P for public, L for local

network_labelstring | nullnullablerequired

Name of the network

network_bridgestring | nullnullablerequired

Bridge of the network on the hypervisor, for example xenbr0; N.D. when the hypervisor does not report it

ip_addressstring | nullnullablerequired

IP address of the interface; null when ip_address_id is null

date_createddate-timenullablerequired
ServerNetworkInterface
{
"network_interface_id": 0,
"server_id": 0,
"network_id": 0,
"ip_address_id": 0,
"vif_uuid": "string",
"device_name": "string",
"mac_address": "string",
"is_default": true,
"is_active": true,
"network_type": "string",
"network_label": "string",
"network_bridge": "string",
"ip_address": "string",
"date_created": "2024-07-29T15:51:28.071Z"
}